Bug 54830 - CSS 2D transformations do not work with inline elements
: CSS 2D transformations do not work with inline elements
Product: WebKit
Classification: Unclassified
Component: CSS
: 528+ (Nightly build)
: PC All
: P2 Normal
Assigned To: Nobody
Depends on:
  Show dependency treegraph
Reported: 2011-02-20 11:07 PST by Jon Rimmer
Modified: 2011-02-25 08:25 PST (History)
1 user (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Jon Rimmer 2011-02-20 11:07:42 PST
CSS 2D transforms do not work when applied to inline elements.

This has been previously raised in bug #24919, but that bug was closed and it was claimed that transforms only apply to inline elements. This is not correct, according to the spec[1] both inline and block-level elements are supported. Also, both Mozilla Firefox and Microsoft IE9 support 2D transforms on inline elements.

[1] http://www.w3.org/TR/css3-2d-transforms/
Comment 1 Jon Rimmer 2011-02-22 04:17:21 PST
Some discussion on this issue in the www-style mailing list here: http://lists.w3.org/Archives/Public/www-style/2010Nov/thread.html#msg222
Comment 2 Simon Fraser (smfr) 2011-02-24 22:29:09 PST
The spec will be updated to clarify that transforms are not applied to inline elements (but are applied to inline-level elements like inline-block, and to replaced elements).
Comment 3 Jon Rimmer 2011-02-24 23:43:38 PST
But that was not the consensus reached in the www-style thread, and it is not how IE, Firefox, or Opera's implementation of 2D transforms work.

I will have to raise this on www-style.
Comment 4 Simon Fraser (smfr) 2011-02-25 08:25:42 PST
I didn't see any specific objections to my proposal at <http://lists.w3.org/Archives/Public/www-style/2010Nov/0222.html>